cruft-ng (0.9.86) unstable; urgency=medium

  * explain/SERVICES: add support for LogsDirectory=

  * Add new rules: 0install-core, aprx, automysqlbackup, biboumi, buildbot,
    buildbot-worker, carbon-c-relay, ceilometer-instance-poller, certspotter,
    cubemap, cumin, custodia, davfs2, debusine-server, dehydrated,
    designate-tlds, dnf, dnsproxy, freeipa-healthcheck, freeipmi-tools,
    ftpmirror, fwanalog, ganeti-instance-debootstrap, gfsd, grokmirror,
    haci, ibutils, ikiwiki-hosting-web, kanboard, knot-resolver6,
    krb5-keytab-backend, kup-server, libapache2-mod-auth-openidc,
    libapache2-mod-mapcache, libapache2-mod-security2, libjs-protoaculous,
    liblemonldap-ng-common-perl, libphp-jpgraph, libshisa0, libzypp-config,
    loggerhead, lomiri-location-service, miniupnpd, minizinc, mon, mwc,
    nfdump, nfs-ganesha, nordugrid-arc-arex, nut-server, nzbget, osmo-hlr,
    pgbackrest, php-tcpdf, postfixadmin, puppetdb, puppetserver, quickml,
    rancid, rancid-cgi, razor, rbldnsd, rear, reaver, scanbd, slack, snapraid,
    spectrum2, sphinxsearch, sql-ledger, suricata, swish-e, trafficserver,
    usb-modeswitch, uwsgi-emperor, vdr-plugin-osdteletext, yaku-ns, zsnapd

  * Archive rules of packages converted to dh-cruft: libapache-sessionx-perl,
    nbsdgames, onionbalance, pachi, phalanx, rockdodger, simplesamlphp

  * Delete old rules: fonty-rg, gitaly-installer, gitlab, llvm-14-runtime,
    request-tracker4, tcl8.*

 -- Alexandre Detiste <tchet@debian.org>  Wed, 17 Jun 2026 19:14:13 +0200

cruft-ng (0.9.85) unstable; urgency=medium

  [ Nobuhiro Iwamatsu ]
  * explain/ca-certificates: Update the check for /etc/ssl/certs
    to make it work correctly with an non-'/' CRUFT_ROOT

  [ Alexandre Detiste ]
  * Update most explain/ scripts to use new "@" protocol
    for deferred ownership matching

  * Archive rules of packages that switched to dh-cruft:
    libpaper2, sopwith, yorick

  * Update existing rules:
    analog, base-files, collectd-core, emacsen-common, lightdm,
    mariadb-server, network-manager, sddm

  * Add a lot of new rules, semi-automatically thanks to Debian Code Search:
    389-ds-base, acmetool, activemq, adjutant-common, aetos, ahcpd,
    amanda-common, amavisd-new, apt-cacher, apt-mirror, apt-mirror2,
    argus-server, arpalert, arpwatch, aspell-bg, asterisk, atheme-services,
    atop, awstats, backuppc, balboa, barbican-common, barman, battery-stats,
    beanstalkd, biglybtd, binkd, biometric-auth, bip, bitcoin-knots,
    blazar-api, blazar-manager, boinc-client, btrfsd, burrow, cacti, cado,
    calamaris, camo, ceilometer-common, ceph-common, certmonger, cgit,
    chasquid, chkboot, cinder-common, clamsmtp, cloudkitty-common, cltl,
    corekeeper, corosync, coturn, courier-imap, courier-mta, courier-pop,
    courier-webadmin, crmsh, cron-apt, crowdsec, crowdsec-custom-bouncer,
    crowdsec-firewall-bouncer, csync2, cyborg-common, cyrus-imapd,
    datum-gateway, dbconfig-common, debarchiver, debdelta, debian-edu-fai,
    debian-edu-router-plugin.content-filter, debspawn, debug-me-server,
    designate-common, dhcp-probe, dhcpy6d, dhtnode, di-netboot-assistant,
    diaspora-installer, dicod, dictd, direwolf, distcc, dizzy, dma, docbook2x,
    dokuwiki, downtimed, dqcache, dracut-core, dump1090-mutability,
    e2guardian, ecryptfs-utils, efingerd, ejabberd, email-reminder,
    etcd-server, fcheck, ferm, festival, filetraq, flamethrower, flwm,
    freeipa-client, frr, fvwm-crystal, gammu-smsd, ganglia-monitor,
    ganglia-webfrontend, gearman-job-server, gerbera, gitaly-installer,
    gitlab, glance-common, globus-gram-audit, glusterfs-common, gmetad,
    gnocchi-common, goiardi, gosa, graphite-carbon, graphite-web, greylistd,
    gridengine-common, gridsite, groonga-munin-plugins, groonga-server-common,
    gsettings-desktop-schemas, gvmd, heartbeat, heat-common, heimdal-kdc,
    hoogle, hopm, hoteldruid, how-can-i-help, hplip, hylafax-server, i2pd,
    iaxmodem, icecc, icedtea-netx, icingaweb2-common, ifcico, ifetch-tools,
    inadyn, incron, incus-base, influxdb, inn2, inspircd, ipmiutil, ippl,
    ircd-hybrid, ircd-irc2, ironic-common, ironic-python-agent, jabber-muc,
    jabberd2, jetty12, john, json2file-go, kannel, kdump-tools, keystone,
    knxd, krb5-kdc, krb5-strength, laniakea-server, laniakea-spark,
    lava-dispatcher, lava-server, ldap-account-manager, ldh-gui-suite,
    leafnode, libapache-sessionx-perl, libapache2-mod-shib,
    libapache2-mod-tile, libcifpp-data, libgssapi-krb5-2, libpam-abl,
    libpam-poldi, libphp-simplepie, libreoffice-core, libreswan,
    libzeroc-ice3.8, liquidsoap, lldpad, lomiri-system-settings,
    lomiri-telephony-service, lsh-server, lynis, lyskom-server,
    macchanger, magnum-common, mailfromd, mailman3, mailman3-web,
    manila-common, masakari-common, masakari-monitors-common, matomo,
    matrix-eno-bot, matrix-synapse, mediawiki, mimedefang, mirmon,
    mistral-common, mlmmj, module-assistant, monitorix, mpdscribble,
    mrtg, mtail, mumble-server, munge, nagios4-common, nagvis,
    neutron-common, neutron-metadata-agent, notus-scanner, nova-api,
    nova-common, nsd, nutcracker, oar-common, ocserv, ocsinventory-agent,
    octavia-common, omniorb-nameserver, onionbalance, onionprobe,
    open-infrastructure-compute-tools, open-infrastructure-system-config,
    open-isns-discoveryd, open-isns-server, openafs-client, openafs-dbserver,
    openafs-fileserver, openntpd, opensmtpd, openssh-known-hosts,
    openstack-cluster-installer, openstack-cluster-installer-poc,
    openstack-dashboard, openstack-dashboard-apache, openstructure,
    openvswitch-switch, oss-preserve, ovn-central, ovn-host, pacemaker-common,
    pcs, pdns-backend-bind, pdns-ixfrdist, perlindex, pgcluu, pglistener,
    php-dompdf, php-giggsey-libphonenumber, pk4, placement-common,
    planetfilter, pollen, pollinate, postfix-mta-sts-resolver, postgrey,
    prelude-lml, prelude-manager, printer-driver-cups-pdf, privoxy, prometheus
    prometheus-alertmanager, prometheus-apache-exporter,
    prometheus-bind-exporter, prometheus-blackbox-exporter,
    prometheus-elasticsearch-exporter, prometheus-exporter-exporter,
    prometheus-haproxy-exporter, prometheus-homeplug-exporter,
    prometheus-ipmi-exporter, prometheus-libvirt-exporter,
    prometheus-mongodb-exporter, prometheus-mqtt-exporter,
    prometheus-mysqld-exporter, prometheus-nginx-exporter,
    prometheus-node-exporter, prometheus-node-exporter-collectors,
    prometheus-phpfpm-exporter, prometheus-postfix-exporter,
    prometheus-postgres-exporter, prometheus-process-exporter,
    prometheus-pushgateway, prometheus-redis-exporter,
    prometheus-snmp-exporter, prometheus-squid-exporter,
    prometheus-varnish-exporter, psad, puppet-agent, pure-ftpd-common,
    put-dns, railcontrol, rally, rasdaemon, redmine, remoterx,
    request-tracker4, request-tracker5, rlinetd, roundcube-core, routino,
    rpki-client, rpm, rrdcached, rsnapshot, ruptimed, rush, sa-exim, sarg,
    sauce, saunafs-common, saunafs-tests, sbuild-debian-developer-setup,
    sbuild-schroot, sbws, schleuder, setserial, shaarli, shairport-sync,
    shibboleth-sp-utils, shorewall, shorewall-lite, shorewall6,
    shorewall6-lite, sia, sidedoor, simplesamlphp, siridb-server, sitesummary,
    slapd, slbackup, slbackup-php, slm, slurmctld, slurmd, slurmdbd,
    smokeping, smstools, snac2, snapclient, snapserver, sndiod, snmptrapd,
    snmptt, softhsm2-common, sogo, soju, solarpowerlog, spamass-milter,
    spamassassin, spampd, speech-dispatcher, spip, sqlgrey, squid-deb-proxy,
    squidguard, sqwebmail, sssd-common, stenographer-common, stunnel,
    sugarplum, super, svxlink-server, sympa, syncthing-discosrv,
    syncthing-relaysrv, sysrepo, systraq, tcsh, tiger, tirex, tntnet,
    tomcat11, tpm-udev, transmission-daemon, tripwire, trove-common,
    tryton-server, tt-rss, tua, tuptime, twms, uim, usemod-wiki,
    usermetricsservice, uucp, vdr, vdr-plugin-dvd, vdr-plugin-epgsearch,
    vdr-plugin-live, vdr-plugin-mp3, vdr-plugin-xineliboutput, vdradmin-am,
    victoria-metrics, virtuoso-opensource-7, vmms-common, vzlogger, w1retap,
    waagent, watcher-common, wdm, weakforced-common, wide-dhcpv6-client,
    wide-dhcpv6-relay, wide-dhcpv6-server, widevine-installer, wims, wims-lti,
    wmbusmeters, x2gobroker-agent, x2gobroker-authservice, x2gobroker-daemon,
    x2gobroker-loadchecker, x2gobroker-ssh, x2gobroker-wsgi,
    x2gothinclient-common, xapian-omega, xen-utils-common, xine-ui, xrdp,
    xtel, xymon, xymon-client, yadifa, yaws, zabbix-agent2, zaqar-common,
    zeroc-icegrid, znc, zoneminder, zookeeper, zoph, zurl

 -- Alexandre Detiste <tchet@debian.org>  Sat, 06 Jun 2026 10:50:52 +0200

cruft-ng (0.9.84) unstable; urgency=medium

  * Make rules/{DH_CRUFT,DEBOOSTRAP} actually work;
    this ensures /var/games has a fictious DH_CRUFT user
  * Add rules for games not yet using dh-cruft: sopwith, tuxtype, phalanx
    gbatnav, crossfire-server, maelstrom, nbsdgames, moria, circuslinux,
  * Drop/trim obsolete rules: apparmor, dia-common, doc-base, gimp, x11-common

 -- Alexandre Detiste <tchet@debian.org>  Sun, 10 May 2026 18:33:01 +0200

cruft-ng (0.9.83) unstable; urgency=medium

  * Fixup: move calls to dpkg_end() _after_ usage of read_explain()

 -- Alexandre Detiste <tchet@debian.org>  Sat, 09 May 2026 13:33:45 +0200

cruft-ng (0.9.82) unstable; urgency=medium

  * explain/SCRIPTS: implement indirect '@' package lookup protocol,
                     this particularly helps when a package is shipping
                     a machine-parsable tmpfiles definition
                     (Closes: #1135572)

  * make dh-cruft the one fictious owner of /var/games;
    not a single .deb should ship any static file under /var/games/
  * Add rules for: openuniverse, rockdodger

  * Archive rules of packages migrated to dh-cruft:  dodgindiamond2,
    nethack-common, oss-compat, typespeed, wing, angband, assaultcube,
    glhack, petris, bzflag-server, fail2ban, mpd-sima, painintheapt,
    pyracerz, rkhunter, samhain, acct, gunicorn, inetsim, mgetty
  * Archive/Cleanse more old rules:
    * kinfocenter: obosolete
    * libeckit0d: obsolete
    * systemd: archive old timesync/clock location
  * Trim more Buster compatibility
  * Move Hurd files out of the main ruleset, Hurd is untested

 -- Alexandre Detiste <tchet@debian.org>  Sat, 09 May 2026 12:51:25 +0200

cruft-ng (0.9.81) unstable; urgency=medium

  * dh-cruft: add "rmdir --ignore-fail-on-non-empty /var/games/"
              when some contents of /var/games/ are involveld in .purge
  * Archive rules of packages migrated to dh-cruft: bastet, gnunet, heroes,
    late, tint, asylum cron-daemon-common greed spacearyarya, omega-rpg,
    squeak-vm, freesweep, gravitywars, gtkballs, ketm, tecnoballz
  * Review explain/TMPFILES & explain/SERVICES fallback scripts
  * Bump Standards-Version to 4.7.4, no change needed

 -- Alexandre Detiste <tchet@debian.org>  Sat, 02 May 2026 22:39:49 +0200

cruft-ng (0.9.80) unstable; urgency=medium

  * dh-cruft: add ${DPKG_ROOT:-} prefix to generated "rm ..."
  * Drop backportability to Buster
  * Bump year in d/copyright
  * fixup: rename rule libwebcam -> libwebcam0
  * Rename rule odoo-18 -> odoo-19
  * Archive rules:
    * for packages last seen in bookworm: deborphan & sks
    * for packages that have been converted to dh-cruft:
      equivs, libxml-sax-perl, libxml-sax-expat-perl, debsums, pdl
      cfingerd, geki2, geki3, gnubg, joe, lbreakouthd, shellinabox,
      kleborate, suck, wvdial, xbomb, xjump, monsterz, rwhod, xbill,
      dpkg-cross, ltris, tango-common, vmm, vnstat

  [ Jochen Sprickerhof ]
  * update raspi-firmware

 -- Alexandre Detiste <tchet@debian.org>  Sun, 26 Apr 2026 22:53:35 +0200

cruft-ng (0.9.79) unstable; urgency=medium

  * dh-cruft:
    * add missing "chomp $line" that led to spurious generation of empty lines
    * the virtual owner of files can now be overridden in debian/<pkg>.cruft
  * Drop support for ancient /usr/lib/cruft/filters-unex/ path
  * Add rules for: debian-fastforward, latex-cjk-thai, latex-cjk-common,
                   google-chrome-unstable
  * Update rules for: dkms, google-chrome-stable

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Apr 2026 12:49:13 +0200

cruft-ng (0.9.78) unstable; urgency=medium

  * Add rules for: bash, dhcpcd, glycin-loaders, gvfs-common, filler,
    kleborate, rdtool-elisp
  * Update rules for: dictionaries-common, elpa-notmuch, emacsen-common,
    iptraf-ng, lcl-utils-*, libsnmp-base, nfs-kernel-server, omega-rpg, redis
  * Archive rules for: grub-common, hannah, libgvc6
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Add debian/salsa-ci.yml

  [ Jochen Sprickerhof ]
  * Update graphviz rule

 -- Alexandre Detiste <tchet@debian.org>  Sun, 01 Mar 2026 13:33:20 +0100

cruft-ng (0.9.77) unstable; urgency=medium

  * Fix getopt short arguments
  * Archive rule for removed "ca-certificates-mono"
  * Add rules for: libeckit0d, late, gnunet, codium, syncthing, xpra,
    greetd, joystick, libwebcam, btrfs-progs, iptraf-ng.
  * Update rule for "containerd"
  * Drop "Rules-Requires-Root: no": it is now the default

  [ Mike Mestnik ]
  * Do not decent into ignored folders (Closes: #1120816)
  * Check ignore path ending with /

 -- Alexandre Detiste <tchet@debian.org>  Sun, 23 Nov 2025 18:09:47 +0100

cruft-ng (0.9.76) unstable; urgency=medium

  * Add new rules: python3-rtslib-fb, squeak-vm, targetcli-fb,
    grafana-enterprise, kde-style-oxygen-qt6, tuned, tuned-ppd
  * Update ruels: gdm3, octave

 -- Alexandre Detiste <tchet@debian.org>  Fri, 07 Nov 2025 18:47:42 +0100

cruft-ng (0.9.75) unstable; urgency=medium

  * Add new rules: debian-edu-config, debian-edu-install, jackd2
  * Update rules: cfengine3, grub-efi-amd64-bin
  * Improve autopkgtest coverage

  [ Jochen Sprickerhof ]
  * Drop old Breaks/Replaces
  * Switch to no-locate by default
  * Add new rule: radicale
  * Update rule: fetchmail

 -- Alexandre Detiste <tchet@debian.org>  Fri, 19 Sep 2025 12:06:33 +0200

cruft-ng (0.9.74) unstable; urgency=medium

  * Fix glitches in UEFI scripts

 -- Alexandre Detiste <tchet@debian.org>  Thu, 11 Sep 2025 09:40:24 +0200

cruft-ng (0.9.73) unstable; urgency=medium

  * Drop the old transitional "cruft" package & /usr/bin/cruft-ng symlink
  * Make (U)EFI matching case-insensitive (Closes: #1111832)
  * Add rules for: grace, musescore3-common, pdl, typespeed
  * Update rules for: apparmor, cfengine3
  * Archive rules for: grub-legacy, xletters
  * Build with -Werror

  [ Jochen Sprickerhof ]
  * Don't provide a default /usr/share/cruft/ignore file
  * Make shell scripts POSIX compatible
  * Drop superfluous || true in shell
  * Refresh bug list for neovim and hdf5
  * Alternatives:
    * Read complete output of update-alternatives
    * List broken alternatives
    * Don't fail on broken slave

 -- Alexandre Detiste <tchet@debian.org>  Thu, 11 Sep 2025 08:41:29 +0200

cruft-ng (0.9.72) unstable; urgency=medium

  * Integration the results of https://openqa.debian.net/ testing.
  * Add rules for gnome-brave-icon-theme, gnome-colors-common,
    gnome-dust-icon-theme, gnome-human-icon-theme,
    gnome-illustrious-icon-theme, gnome-noble-icon-theme,
    gnome-wine-icon-theme, gnome-wise-icon-theme, slick-greeter,
    mate-icon-theme
  * Update rules for: colord, gnome-accessibility-themes, lightdm
  * Refresh GPL-2 license text

  [ Christian Göttsche ]
  * update podman

 -- Alexandre Detiste <tchet@debian.org>  Mon, 21 Jul 2025 16:29:31 +0200

cruft-ng (0.9.71) unstable; urgency=medium

  * Add rules for libc6-x32, libc6-i386.
  * Update rules for emacsen-common, petsc, sddm, grub-efi-amd64-bin.
  * Remove or archive old rules: intel-microcode, debtags,
    apt-xapian-index, wine-development, libapache2-mod-php8.3.

  [ Jochen Sprickerhof ]
  * Use apt for purge "~c" example in the man page
  * Drop /var/log/{lastlog,btmp,wtmp} from base-files and logrotate
  * Add rules for firebird4.0-common and lcl-utils-4.0

 -- Alexandre Detiste <tchet@debian.org>  Fri, 13 Jun 2025 23:04:18 +0200

cruft-ng (0.9.70) unstable; urgency=medium

  * Test Trixie RC1 with default Gnome desktop
  * Add rule for: gnome-browser-connector
  * Update rule for installation-report, init-system-helpers,
    packagekit, update gdm3

  [ Christian Göttsche ]
  * rspamd: include fonts copied into www document root
  * php-common: add module root directory

 -- Alexandre Detiste <tchet@debian.org>  Sun, 18 May 2025 18:54:05 +0200

cruft-ng (0.9.69) unstable; urgency=medium

  * Add rules for rtpengine-daemon, dodgindiamond2,
    python3.14 (from experimental)
  * Update nfs-common
  * Remove rule for Python 3.12, never was in a stable release
  * wtmpdb: the library will create the DB by itsell, rename to libwtmpdb0

  [ NoisyCoil ]
  * add local-apt-repository.sources to local-apt-repository
    (Closes: #1104253)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 17 May 2025 16:35:08 +0200

cruft-ng (0.9.68) unstable; urgency=medium

  * Add rules for ghc-doc, gnubg, glhack, casacore-data*, fp-compiler-3.2.2
  * Update rules for libuuid1

  [ Christian Göttsche ]
  * Add rules for podman and valkey (from redis ones) (Closes: #1102166)
  * Update rules for postfix, php-fpm, certbot, rspamd
  * Fix typos

 -- Alexandre Detiste <tchet@debian.org>  Sun, 13 Apr 2025 12:49:08 +0200

cruft-ng (0.9.67) unstable; urgency=medium

  * Add rules for mallard-rng, elpa-notmuch
  * Update rules for git, plasma-browser-integration
  * Update Standards-Version to 4.7.0

  [ Jochen Sprickerhof ]
  * Add /var/lib/dpkg/arch-native for dpkg/1.22.16
  * Update raspi-firmware

 -- Alexandre Detiste <tchet@debian.org>  Sat, 29 Mar 2025 20:10:13 +0100

cruft-ng (0.9.66) unstable; urgency=medium

  * Add new rules: animals, breeze-cursor-theme, dbeaver-ce,
    gnustep-base-common, freesweep, kf6-breeze-icon-theme,
    libapache2-mod-php8.4, libpaper2, odoo-18, varnish, vmm,
    webmin, wing, xbomb, xletters.
  * Update rules: apt, clamav-freshclam, dovecote-core, sddm.
  * Archive old rules: breeze-icon-theme, libpaper1, llvm-15-runtime,
    jupyter-nbextension-jupyter-js-widgets, qemu-user-static
  * Reformat d/control with debputy

 -- Alexandre Detiste <tchet@debian.org>  Fri, 07 Mar 2025 12:05:31 +0100

cruft-ng (0.9.65) unstable; urgency=medium

  * Package is now team maintained by Debian Security Tools team.
    It can be used as a forensic tool to investigate systems
    messed-up by previous owner/admins.
  * Add new rules: pcp, greed, gtkballs
  * Update rules: init-system-helpers, ltris, grafana, installation-report

 -- Alexandre Detiste <tchet@debian.org>  Sun, 10 Nov 2024 15:18:50 +0100

cruft-ng (0.9.64) unstable; urgency=medium

  * Fix bug found by Ubuntu CI (Closes: #1081002) (LP: #2079840)
  * new rules: tango-common, yorick, docbook-xsl-ns, docbook5-xml,
    python3.13, kxd, libopenmpi-dev, mecab-ipadic, mecab-ipadic-utf8,
    memcached, glx-alternative-nvidia, nvidia-kernel-dkms, octave
  * updated rules: LINUX-IMAGE, ocaml, sddm, wtpmdb
  * archive rule for python3.11
  * update Standards-Version to 4.7.0

  [ Jochen Sprickerhof ]
  * nolocate: don't inspect /run
  * debug: list unused ruleset entries
  * Move /var/log/lastlog to base-files
  * Update ocaml-base
  * Add rules for u-boot-menu and journal-brief

 -- Alexandre Detiste <tchet@debian.org>  Fri, 13 Sep 2024 18:55:45 +0200

cruft-ng (0.9.63) unstable; urgency=medium

  * welcome Jochen Sprickerhof as co-maintainer
  * add new rules: gunicorn, gravitywars, ketm, spacearyarya,
    live-boot, live-config, swtpm-tools, apparmor, udhcpc
  * update existing rules: base-files, python3, raspi-firmware,
    sddm, systemd, ofono, libvirt-daemon-config-network,
    clonezilla, lightdm, system-tools-backends, gnome-session

  [ Jochen Sprickerhof ]
  * new "--no-locate" option to make cruft-ng work without locate
    (Closes: #1072389)
  * new "--root" option to inspect root file systems from outside. Explain
    scripts need to check $CRUFT_ROOT to check inside or skip. Only
    implemented for "--no-locate".
  * add new rules: mpd-sima, fonts-urw-base35, lmodern, alsa-ucm-conf

 -- Alexandre Detiste <tchet@debian.org>  Mon, 17 Jun 2024 16:09:49 +0200

cruft-ng (0.9.62) unstable; urgency=medium

  * run plocate with "--null" option to avoid being confused
    by paths containing the newline character (Closes: #1070216)
  * add new rules: click, clonezilla, drbl,
    libvirt-daemon-config-nwfilter, libvirt-daemon-system,
    monsterz, plasma-browser-integration
  * update rules: anacron, virtualbox-dkms, zfs-dkms
  * 64-bit time transition:
    * libglib2.0      -> libglib2.0-t64
    * libgtk2.0-0     -> libgtk2.0-0t64

 -- Alexandre Detiste <tchet@debian.org>  Sat, 04 May 2024 22:07:25 +0200

cruft-ng (0.9.61) unstable; urgency=medium

  * add new rules: extrepo, syslog-ng-core, w3c-sgml-lib
  * update existing rules: apt-xapian-index, bind9, ghc, snmpd,
    VisualStudio code
  * add explain scripts to analyse common chroots:
    * autopkgtest
    * cowdancer/cowbuild

  [ cgzones ]
  * USERS: ignore mail and crontab files for root

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.
    (Closes: #1059719)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 01 Mar 2024 16:13:00 +0100

cruft-ng (0.9.60) unstable; urgency=medium

  * add new rules for ulogd2, oss-compat,
    local-apt-repository, knot, sn
  * update smartmontools, exim4,
    shared-mime-info
  * and many games: astromenace, geki3, hanna,
    lbreakout2, lbreakouthd, assaultcube,
    rocksndiammords, filler, pyracerz
  * derivatives: update kali-themes for Qt6
  * backports: fix libgdk-pixbuf2.0-0

  [ Guillem Jover ]
  * Adapt to libdpkg 1.22.2

 -- Alexandre Detiste <tchet@debian.org>  Tue, 19 Dec 2023 00:49:41 +0100

cruft-ng (0.9.59) unstable; urgency=low

  * make "cruft FILE" faster
  * add rules for:
      libjs-jquery-flot, geki2, bacula, icinga2,
      onak, autoradio, uptimed, samhain
  * update rules for:
      aide, systemd, apt-listchanges, unbound
  * also UsrMerge /lib64

 -- Alexandre Detiste <tchet@debian.org>  Mon, 27 Nov 2023 23:15:06 +0100

cruft-ng (0.9.58) unstable; urgency=low

  * improve existing mode: "cruft FILE",
    it will now behave like "dpkg -S" on static files.
    (on directories, it will only print the first match)
  * add new mode: "cruft --package PACKAGE", to dump
    this one package ruleset, so that it can be
    re-used/migrated in another tool (debhelper/debputy).
  * parse the systemd .service files for
    CacheDirectory= / StateDirectory= stanzas that
    map respectively to /var/cache and /var/lib.

  * add support for running on "Windows Subsystem for Linux 2"
  * add rules for : asylum, bastet, pachi,
    petris, topper, xjump.

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Mon, 18 Sep 2023 02:25:17 +0200

cruft-ng (0.9.57) unstable; urgency=low

  * cruft will now detected old **/__pycache__/*.cpython-3*.pyc files
    that don't match the interpretors in /usr/bin/python3.*
  * generic handling of Ruby Gems.
    This ecosystem doesn't provide any postrm scripts...
    a lot of file will be marked as cruft after each major version bump.
  * call updatedb.plocate explicitly, to behave as expected when the old
    traditional updatedb.findutils is the default (Closes: #1043209)
  * new rules for: wvdial, ofono, sks, painintheapt, deluged,
    freedombox, prosody.
  * archive rules for old packages: gconf2, libncurses5
  * explain: review scripts with shellcheck
  * mention %ghost files in description and d/TODO
  * compatibility with DebHelper 14 & 15

  [ Christian Göttsche ]
  * apache: ignore all managed enabled and disabled entries
  * postfix: ignore distribution defaults
  * php-cgi: add package
  * raspi-firmware: ignore /boot/firmware stuff

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Tue, 22 Aug 2023 17:32:24 +0200

cruft-ng (0.9.56) unstable; urgency=low

  * add explain/catch-all script for binfmt-support
  * add rules for deluged, tor, qemu-user-static, angband,
    debian-security-support, papirus-icon-theme
  * locales: handle /etc/default/locale -> /etc/locale.conf transition
  * better automatic tracking of transitional packages:
    * mime-support -> mailcap
    * proftpd-basic -> proftpd-core
    * ntp -> ntpsec
    * telnet -> inetutils-telnet
  * remove Ubuntu specific rules from the Debian build

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sun, 30 Jul 2023 22:00:04 +0200

cruft-ng (0.9.55) unstable; urgency=low

  [ Christian Göttsche ]
  * Misc tweaks to rules: chkrootkit, geoipupdate,
    selinux (Closes: #1033804)

  [ NicolasJamar ]
  * refresh misc filters for Debian, Ubuntu & Pop_OS

  [ Alexandre Detiste ]
  * move the bulk of Ubuntu rules out of the way,
    handle /etc/NetworkManager/system-connections/*
    on Debian only (LP: #2019940)
  * add a generic explain script for runit-helper

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sun, 11 Jun 2023 17:18:27 +0200

cruft-ng (0.9.54) unstable; urgency=medium

  * fix single file matching feature (Closes: #1030522)

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sun, 19 Feb 2023 22:52:47 +0100

cruft-ng (0.9.53) unstable; urgency=medium

  * Use /usr/share/cruft/rules/ as location for new dh-cruft rules
    to avoid that every single package switching to dh-cruft would
    also need to Breaks+Replaces on old cruft-commnon. (See #1030024)
  * make dh-cruft Multi-Arch: foreign as hinted

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Mon, 30 Jan 2023 20:15:28 +0100

cruft-ng (0.9.52) unstable; urgency=medium

  * Fix FTBFS on buildd: separate -arch and -indep targets.

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sat, 28 Jan 2023 13:28:04 +0100

cruft-ng (0.9.51) unstable; urgency=medium

  * New upload to Mentors, fixing copyright attribution of mlocate_db.h
    as hinted by FTP-Master.

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Fri, 27 Jan 2023 10:14:52 +0100

cruft-ng (0.9.50) unstable; urgency=medium

  * new "dh-cruft" binary package: this DebHelper module is to be used
    by source package that wants to provide their own rules.
  * update filters for: grafana, npm, python3-pip, cron*, debconf.
  * add support for nginx.deb from nginx.org.
  * ship documentation in .deb in ASCII and .png formats.

  [ Christian Göttsche ]
  * new filters for: dovecot, geoipupdate, php-fm, postfix,
    quassel-core, redis-server, rspamd, strongswan, unbound.

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Fri, 27 Jan 2023 10:11:08 +0100

cruft-ng (0.9.49) unstable; urgency=medium

  * fix build on Hurd, also add rules for "hurd" and "libc0.3" packages.
  * fix rule for dpkg-dev optional files handling
  * add rules for isc-dhcp-server, ap-hotspot, linux-sound-base,
    menu-xdg, sntp, watchdog, proftpd-basic
  * update rules for: lightdm, rabbitmq-server, logrotate, nfs*,
    fwupd, atfpd, nginx.
  * add filters for independent proprietary software:
    Grafana
  * add support for Kali Linux derivative, and Debian packages found
    in it's default toolkit: stunnel4, ntpsec, rwhod, blueman,
    openvpn, iodine, inetsim.
  * add support for BeagleBone derivative: bb-customizations,
    ti-pru-cgt-installer, doc-beaglebone-getting-started,
    bb-node-red-installer, cloud9.

  [ NicolasJamar ]
  * add/refresh filters for Debian: alsa-base, alsa-utils, apache2, bolt,
    chrome-gnome-shell, chrony, command-not-found, fwupd, gdm3,
    geoclue-2.0, grub-*, nfs-kernel-server, pcmciatuils, php-dbg,
    power-profiles-daemon, resolvconf, sane-utils, shim-signed,
    snmp-mibs-downloader, yaru-theme-iconn usbmuxd, pkgconf,
    gconf2, docker.io, containerd, phpmyadmin.
  * add filters only applicable to Ubuntu and derivatives:
    apport, flatpak, ubuntu-advantage-tools, ubuntu-fan,
    ubuntu-drivers-common, ubuntu-mono, ubuntu-release-upgrader,
    update-manager-core, update-notifier, whoopsie.
  * add filters only applicable to Pop_OS:
    kernelstub, pop-upgrade.
  * add filters for independent proprietary software:
    Microsoft Visual Code, MongoDB, Sublime Text, Teamviewer,
    VirtualBox extensions package.

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sun, 01 Jan 2023 18:05:14 +0100

cruft-ng (0.9.48) unstable; urgency=medium

  * rewrite last script that needed the "file" command
    (Closes: #1023336, #1024168)
  * many more performance improvements by Christian Göttsche
  * add rules for: firebird3.0-server

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Fri, 18 Nov 2022 11:38:34 +0100

cruft-ng (0.9.47) unstable; urgency=medium

  * "cpigs" command now support the new '-c' and '-C' arguments
    to generate either a .csv dump of all the volatile files
    or with '-C' of the whole system also including static files.
  * "cpigs" now also support the new '-e' command switch
    to export data in the format expected by NCDU (Closes: #291823)
  * list loose files with known bug numbers in "cruft" report.
    These bugs needs to be tagged with
    user = "cruft-ng@packages.debian.org" and tag = "cruft".
  * keep an archive of old rules and make the package easier
    to backport.
  * remove misleading "broken symlinks" in the report,
    it is not implemented (Closes: #1022890).
  * many performance improvements by Christian Göttsche

  * new rules provided by Christian Göttsche (Closes: #1022542):
    ccache, grub-efi-*, fwupd, kde-config-sddm, pbuilder, rkhunter,
    policycoreutils-dev, tlp, usbguard, vnstat
  * update explain scripts: UCF, ispell
  * update ruleset for Python3, apt, dpkg, openssh, util-linux,
    emacs, xemacs21
  * misc. new rules for: acpid, fail2ban, tix, lynx, powertop, uwf, piuparts,
    debci, debian-reference-*, server-xorg-legacy, synaptic, libgvc6, anacron,
    nginx, fai-quickstart, pcutils, keyboard-configuration, acct,
    installation-report, keyboard-configuration, dialog
  * replace php7.4 by php8.1

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Tue, 01 Nov 2022 20:56:28 +0100

cruft-ng (0.9.46) unstable; urgency=medium

  [ Alexandre Detiste ]
  * implement config file for ignore (Closes: #509414)
  * new companion program "cpigs" that works similar
    to "dpigs" from Debian Goodies package,
    but will instead list the dynamic file usage.
  * DPKG data acquisition: also consider packages in 'rc' state
  * workaround for plocate's default "PRUNEPATH=/var/spool":
    always scan these files ourselves
  * work almost as good as non-root, suppress warnings
  * new LOGROTATE generic handling script
  * pack all the rules into a single file
  * update ruleset for Jupyter, npm, base-files,
    libdbus-1dev, timgm6mb-soundfont, dlocate,
    systemd, init-system-helpers, PolicyKit,
    avahi-autoipd, redis-tools, iperf3.

  [ Guillem Jover ]
  * various build system improvement
  * add build dependency on pkg-config to fetch libdpkg flags
  * build: Remove unnecessary explicit make rules

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Wed, 19 Oct 2022 02:47:52 +0200

cruft-ng (0.9.45) unstable; urgency=medium

  * Rewrite most DPKG data acquisition using the
    official static C library (Closes: #944926).
    This also makes this tool much faster.
  * Adding a new build dependency on "libdpkg-dev"

  * Fix plocate invocation to also detect
    extraneous files without '.' in their name.
    Thank you Piotr Engelking (Closes: #1021297)

  * Add missing "closedir()" that led to
    file descriptor exhaustion.
  * Remove extraneous *.pyc filters, now built
    into the main engine
  * Misc changes to various embedded rules for:
     UsrMerge, (b)eid-archive, RabbitMQ, dpkg-cross,
     udisks2, virtualbox, util-linux, systemd.

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sat, 08 Oct 2022 04:09:13 +0200

cruft-ng (0.9.44) unstable; urgency=medium

  * salvages the explain scripts and filters from retired 'cruft-common'
  * provides 'cruft' transitional package
  * fix regression in diversion handling introduced while fixing #1010362

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sun, 02 Oct 2022 06:24:54 +0200

cruft-ng (0.4.54) unstable; urgency=medium

  * UsrMerge rollout: also support /lib32 -> /usr/lib32
  * bump Standards-Version to 4.6.1.0, no further change needed
  * add lintian override "uses-dpkg-database-directly"

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Wed, 21 Sep 2022 19:16:21 +0200

cruft-ng (0.4.53) unstable; urgency=medium

  * Fix segmentation fault when custom dpkg overrides are defined
    (Closes: #1010362)

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sun, 17 Jul 2022 01:25:30 +0200

cruft-ng (0.4.52) unstable; urgency=low

  * Fix build on Hurd
  * update Python3.x heuristic to also support Python3.xx (e.g. 3.10)
  * bump Standards-Version to 4.6.0, no change needed

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Mon, 18 Apr 2022 23:49:39 +0200

cruft-ng (0.4.51) unstable; urgency=medium

  * Drop depends on transitional mlocate package (Closes: #992742)

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Thu, 30 Dec 2021 21:22:59 +0100

cruft-ng (0.4.50) unstable; urgency=low

  * Also support plocate. (Closes: #976367)

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sun, 22 Aug 2021 15:45:33 +0200

cruft-ng (0.4.9) unstable; urgency=low

  * /usr/include/mlocate/db.h has vanished,
    revert change of 0.4.7 (Closes: #975754)
  * Bump debhelper from old 12 to 13.

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Thu, 03 Dec 2020 02:46:46 +0100

cruft-ng (0.4.8) unstable; urgency=low

  * Bump debhelper from old 11 to 12. [Debian Janitor]
  * Set debhelper-compat version in Build-Depends. [Debian Janitor]
  * Do not read /var/lib/dpkg/diversions directly,
    instead call "dpkg-divert --list". (like #944926)
  * bump Standards-Version to 4.5.0, no further change needed

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Tue, 19 May 2020 16:22:26 +0200

cruft-ng (0.4.7) unstable; urgency=low

  * switch to debhelper compat level 11
  * drop our copy of db.h, use the one provided by mlocate instead
  * bump Standards-Version to 4.2.1, no further change needed

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sat, 17 Nov 2018 18:09:58 +0100

cruft-ng (0.4.6) unstable; urgency=medium

  * consider all intermediates subdirectories under /etc as OK
    if those contain some dpkg-managed files
  * Declare compliance with Policy 4.1.3

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Tue, 02 Jan 2018 10:17:32 +0100

cruft-ng (0.4.5) unstable; urgency=low

  * Declare compliance with Policy 4.1.2
  * Enable full hardening
  * Only refresh mlocate database when needed
  * Switch to DebHelper 10
  * Handle filenames longer than 199 bytes (Closes: #867016),
    thanks to Stefan Bühler
  * set Rules-Requires-Root: no

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Fri, 08 Dec 2017 12:21:32 +0100

cruft-ng (0.4.4) unstable; urgency=low

  * Add support for systems with UsrMerge

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sun, 17 Jan 2016 21:16:43 +0100

cruft-ng (0.4.3) unstable; urgency=low

  * don't report .pyc files if a .py file exist (Closes:  #366616)

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Wed, 06 Jan 2016 21:51:45 +0100

cruft-ng (0.4.2) unstable; urgency=low

  * revert ignoring /srv, let admin handle this with their custom rules
  * take into account dpkg's path-exclude configuration (Closes: #619086)

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Fri, 11 Dec 2015 13:04:38 +0100

cruft-ng (0.4.1) unstable; urgency=low

  * always ignore contents of /mnt & /srv
  * run on a single file (Closes: #432026), this is a very simple implementation
    that can be enhanced
  * depends on cruft-common instead of "cruft (<< 0.9.20) | cruft-common"

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Thu, 05 Nov 2015 23:52:51 +0100

cruft-ng (0.4) unstable; urgency=medium

  * Enable DEBUG all over the place
  * Print DEBUG info to stderr
  * process uppercase files in /etc/cruft/filters/ like original cruft
  * process script files in /etc/cruft/explain/ like original cruft

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Mon, 11 May 2015 16:50:37 +0200

cruft-ng (0.3) unstable; urgency=medium

  * Fix stack-smashing error, replace strcpy by strncpy (Closes: #783723)
  * Enable use of 'DEBUG' environment variable

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Mon, 04 May 2015 10:20:24 +0200

cruft-ng (0.2) unstable; urgency=medium

  * Fix license of mlocate_db.h in d/copyright
  * fail immediately if can't read mlocate's db
  * enable hardening

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Wed, 29 Apr 2015 14:48:56 +0200

cruft-ng (0.1) unstable; urgency=medium

  * Initial release. (Closes: #770445)

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sun, 23 Nov 2014 14:05:29 +0200
